Bug 204026 - [patch] ports-mgmt/freebsd-bugzilla-cli: Add ca_root_nss dependency
Summary: [patch] ports-mgmt/freebsd-bugzilla-cli: Add ca_root_nss dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords: dogfood, easy, patch
Depends on:
Blocks:
 
Reported: 2015-10-26 09:10 UTC by Renato Botelho
Modified: 2015-11-16 14:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pgollucci)


Attachments
Add ca_root_nss as dependency (465 bytes, patch)
2015-10-26 09:10 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2015-10-26 09:10:29 UTC
Created attachment 162458 [details]
Add ca_root_nss as dependency

HTTPS certificate cannot be validated without this port:

% bz login
 * Using https://bugs.freebsd.org/bugzilla/xmlrpc.cgi
 * Logging in
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/urllib/request.py", line 1182, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
  File "/usr/local/lib/python3.4/http/client.py", line 1088, in request
    self._send_request(method, url, body, headers)
  File "/usr/local/lib/python3.4/http/client.py", line 1126, in _send_request
    self.endheaders(body)
  File "/usr/local/lib/python3.4/http/client.py", line 1084, in endheaders
    self._send_output(message_body)
  File "/usr/local/lib/python3.4/http/client.py", line 922, in _send_output
    self.send(msg)
  File "/usr/local/lib/python3.4/http/client.py", line 857, in send
    self.connect()
  File "/usr/local/lib/python3.4/http/client.py", line 1231, in connect
    server_hostname=server_hostname)
  File "/usr/local/lib/python3.4/ssl.py", line 365, in wrap_socket
    _context=self)
  File "/usr/local/lib/python3.4/ssl.py", line 583, in __init__
    self.do_handshake()
  File "/usr/local/lib/python3.4/ssl.py", line 810, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/bugz", line 70, in <module>
    sys.exit(main())
  File "/usr/local/bin/bugz", line 51, in main
    args.func(bugz, args)
  File "/usr/local/lib/python3.4/site-packages/bugz/cli.py", line 200, in login
    self.bz.User.login(params)
  File "/usr/local/lib/python3.4/xmlrpc/client.py", line 1098, in __call__
    return self.__send(self.__name, args)
  File "/usr/local/lib/python3.4/xmlrpc/client.py", line 1437, in __request
    verbose=self.__verbose
  File "/usr/local/lib/python3.4/site-packages/bugz/bugzilla.py", line 45, in request
    resp = self.opener.open(req)
  File "/usr/local/lib/python3.4/urllib/request.py", line 463, in open
    response = self._open(req, data)
  File "/usr/local/lib/python3.4/urllib/request.py", line 481, in _open
    '_open', req)
  File "/usr/local/lib/python3.4/urllib/request.py", line 441, in _call_chain
    result = func(*args)
  File "/usr/local/lib/python3.4/urllib/request.py", line 1225, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "/usr/local/lib/python3.4/urllib/request.py", line 1184, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
Comment 1 commit-hook freebsd_committer 2015-11-11 10:11:56 UTC
A commit references this bug:

Author: garga
Date: Wed Nov 11 10:11:28 UTC 2015
New revision: 401233
URL: https://svnweb.freebsd.org/changeset/ports/401233

Log:
  - Add security/ca_root_nss to the list of dependencies, without it FreeBSD
    svn HTTPS certificate cannot be validated
  - Bump PORTREVISION

  PR:		204026
  Submitted by:	garga
  Approved by:	maintainer timeout (> 2 weeks)
  MFH:		2015Q4

Changes:
  head/ports-mgmt/freebsd-bugzilla-cli/Makefile
Comment 2 commit-hook freebsd_committer 2015-11-16 14:17:56 UTC
A commit references this bug:

Author: garga
Date: Mon Nov 16 14:17:37 UTC 2015
New revision: 401764
URL: https://svnweb.freebsd.org/changeset/ports/401764

Log:
  MFH: r401233

  - Add security/ca_root_nss to the list of dependencies, without it FreeBSD
    svn HTTPS certificate cannot be validated
  - Bump PORTREVISION

  PR:		204026
  Submitted by:	garga
  Approved by:	ports-secteam (feld), maintainer timeout (> 2 weeks)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/ports-mgmt/freebsd-bugzilla-cli/Makefile